package com.steering.mes.mcp.entity.MchEntity;
/**
 * 数据库表COUPLING_COM_INFO所对应的实体类（生成工具：代码生成器3.0）
 * @author PC-20180117CCCC   date 2018-07-23
 */
@SuppressWarnings("serial")
public class CouplingComInfoEntity implements java.io.Serializable {
    /**
     * 实绩编号
     */
    private String resultNo = "";
    /**
     * 工单号（炉次计划号+01流水）
     */
    private String woId = "";
    /**
     * 接箍工序订单编号
     */
    private String proPlanId = "";
    /**
     * 接箍备料码
     */
    private String codeJgBl = "";
    /**
     * 属性分组号
     */
    private String jgGroupId = "";
    /**
     * 是否离线（0否，1是）
     */
    private String ifOutRpo = "";
    /**
     * 产线代码
     */
    private String plineCode = "";
    /**
     * 产线描述
     */
    private String plineName = "";
    /**
     * 工序点代码（上料、切管、车丝。。。。）
     */
    private String stationCode = "";
    /**
     * 工序点名称
     */
    private String stationDesc = "";
    /**
     * 判定炉号
     */
    private String judgeStoveNo = "";
    /**
     * 批号（炉批号）
     */
    private String batchNo = "";
    /**
     * 接箍料物料编码
     */
    private String blWlId = "";
    /**
     * 接箍料物料描述
     */
    private String blWlDesc = "";
    /**
     * 接箍料外径(mm)
     */
    private String minD = "";
    /**
     * 接箍料壁厚(mm)
     */
    private String minH = "";
    /**
     * 接箍料目标长度
     */
    private String aimlengthBl = "";
    /**
     * 目标切管长
     */
    private String aimCutLen = "";
    /**
     * 接箍坯料长度min
     */
    private String lengthMin = "";
    /**
     * 接箍坯料长度max
     */
    private String lengthMax = "";
    /**
     * 接箍坯料锥度
     */
    private String taper = "";
    /**
     * 接箍码
     */
    private String codeJg = "";
    /**
     * 钢种代码
     */
    private String gradecode = "";
    /**
     * 钢种名称
     */
    private String gradename = "";
    /**
     * 钢级(牌号)代码
     */
    private String steelcode = "";
    /**
     * 钢级(牌号)名称
     */
    private String steelname = "";
    /**
     * 扣型代码
     */
    private String modelCode = "";
    /**
     * 接箍扣型描述
     */
    private String modelDesc = "";
    /**
     * 接箍外径
     */
    private String outdiameter = "";
    /**
     * 临界壁厚
     */
    private String wallthick = "";
    /**
     * 接箍规格代码
     */
    private String specJg = "";
    /**
     * 接箍规格描述
     */
    private String specJgDesc = "";
    /**
     * 中孔类别(I、II、III、IV...)
     */
    private String styleJg = "";
    /**
     * 中孔内径
     */
    private String diameter = "";
    /**
     * 测量J值
     */
    private String checkJVal = "";
    /**
     * 接箍长度
     */
    private String aimlength = "";
    /**
     * 单重
     */
    private String singleweight = "";
    /**
     * 监制要求
     */
    private String monitordemand = "";
    /**
     * 是否接箍监制
     */
    private String ifMonitorJg = "";
    /**
     * 监制编号
     */
    private String prdcrNo = "";
    /**
     * 监制人
     */
    private String producer = "";
    /**
     * 监制到场时间
     */
    private String producerTime = "";
    /**
     * 机床编号
     */
    private String machNo = "";
    /**
     * 机床名称
     */
    private String machNm = "";
    /**
     * 作业个数（有效生产数量）
     */
    private String proNum = "";
    /**
     * 作业重量
     */
    private String proWt = "";
    /**
     * 废品个数
     */
    private String failNum = "";
    /**
     * 废品重量
     */
    private String failWt = "";
    /**
     * 下线个数据
     */
    private String offlineNum = "";
    /**
     * 下线重量
     */
    private String offlineWt = "";
    /**
     * 工序点状态（1生产中，2生产完成）
     */
    private String stationStatus = "";
    /**
     * 作业时间
     */
    private String rroTime = "";
    /**
     * 作业时长
     */
    private String rroTimeNu = "";
    /**
     * 作业人
     */
    private String proUser = "";
    /**
     * 作业班次
     */
    private String proShift = "";
    /**
     * 作业班组
     */
    private String proGroup = "";
    /**
     * 是否全项委托（0否，1是）
     */
    private String ifAllOutWork = "";
    /**
     * 操作时间
     */
    private String createTime = "";
    /**
     * 操作工
     */
    private String colOperator = "";
    /**
     * 操作工2
     */
    private String colOperator2 = "";
    /**
     * 接箍合同号
     */
    private String jgOrderno = "";
    /**
     * 接箍品种代码
     */
    private String produccodeJg = "";
    /**
     * 接箍品种描述
     */
    private String produccodeJgDesc = "";
    /**
     * 接箍标准代码
     */
    private String stdCode = "";
    /**
     * 接箍标准名称
     */
    private String stdName = "";
    /**
     * 接箍标准类别代码
     */
    private String stdStyle = "";
    /**
     * 接箍标准类别描述(I、II、III)
     */
    private String stdStyleDesc = "";

    /**
     * 实绩编号
     * @return value
     */
    public String getResultNo() {
        return resultNo;
    }

    /**
     * 实绩编号
     * @param resultNo value
     */
    public void setResultNo(String resultNo) {
        this.resultNo = resultNo;
    }

    /**
     * 工单号（炉次计划号+01流水）
     * @return value
     */
    public String getWoId() {
        return woId;
    }

    /**
     * 工单号（炉次计划号+01流水）
     * @param woId value
     */
    public void setWoId(String woId) {
        this.woId = woId;
    }

    /**
     * 接箍工序订单编号
     * @return value
     */
    public String getProPlanId() {
        return proPlanId;
    }

    /**
     * 接箍工序订单编号
     * @param proPlanId value
     */
    public void setProPlanId(String proPlanId) {
        this.proPlanId = proPlanId;
    }

    /**
     * 接箍备料码
     * @return value
     */
    public String getCodeJgBl() {
        return codeJgBl;
    }

    /**
     * 接箍备料码
     * @param codeJgBl value
     */
    public void setCodeJgBl(String codeJgBl) {
        this.codeJgBl = codeJgBl;
    }

    /**
     * 属性分组号
     * @return value
     */
    public String getJgGroupId() {
        return jgGroupId;
    }

    /**
     * 属性分组号
     * @param jgGroupId value
     */
    public void setJgGroupId(String jgGroupId) {
        this.jgGroupId = jgGroupId;
    }

    /**
     * 是否离线（0否，1是）
     * @return value
     */
    public String getIfOutRpo() {
        return ifOutRpo;
    }

    /**
     * 是否离线（0否，1是）
     * @param ifOutRpo value
     */
    public void setIfOutRpo(String ifOutRpo) {
        this.ifOutRpo = ifOutRpo;
    }

    /**
     * 产线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 产线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 产线描述
     * @return value
     */
    public String getPlineName() {
        return plineName;
    }

    /**
     * 产线描述
     * @param plineName value
     */
    public void setPlineName(String plineName) {
        this.plineName = plineName;
    }

    /**
     * 工序点代码（上料、切管、车丝。。。。）
     * @return value
     */
    public String getStationCode() {
        return stationCode;
    }

    /**
     * 工序点代码（上料、切管、车丝。。。。）
     * @param stationCode value
     */
    public void setStationCode(String stationCode) {
        this.stationCode = stationCode;
    }

    /**
     * 工序点名称
     * @return value
     */
    public String getStationDesc() {
        return stationDesc;
    }

    /**
     * 工序点名称
     * @param stationDesc value
     */
    public void setStationDesc(String stationDesc) {
        this.stationDesc = stationDesc;
    }

    /**
     * 判定炉号
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 判定炉号
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 批号（炉批号）
     * @return value
     */
    public String getBatchNo() {
        return batchNo;
    }

    /**
     * 批号（炉批号）
     * @param batchNo value
     */
    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    /**
     * 接箍料物料编码
     * @return value
     */
    public String getBlWlId() {
        return blWlId;
    }

    /**
     * 接箍料物料编码
     * @param blWlId value
     */
    public void setBlWlId(String blWlId) {
        this.blWlId = blWlId;
    }

    /**
     * 接箍料物料描述
     * @return value
     */
    public String getBlWlDesc() {
        return blWlDesc;
    }

    /**
     * 接箍料物料描述
     * @param blWlDesc value
     */
    public void setBlWlDesc(String blWlDesc) {
        this.blWlDesc = blWlDesc;
    }

    /**
     * 接箍料外径(mm)
     * @return value
     */
    public String getMinD() {
        return minD;
    }

    /**
     * 接箍料外径(mm)
     * @param minD value
     */
    public void setMinD(String minD) {
        this.minD = minD;
    }

    /**
     * 接箍料壁厚(mm)
     * @return value
     */
    public String getMinH() {
        return minH;
    }

    /**
     * 接箍料壁厚(mm)
     * @param minH value
     */
    public void setMinH(String minH) {
        this.minH = minH;
    }

    /**
     * 接箍料目标长度
     * @return value
     */
    public String getAimlengthBl() {
        return aimlengthBl;
    }

    /**
     * 接箍料目标长度
     * @param aimlengthBl value
     */
    public void setAimlengthBl(String aimlengthBl) {
        this.aimlengthBl = aimlengthBl;
    }

    /**
     * 目标切管长
     * @return value
     */
    public String getAimCutLen() {
        return aimCutLen;
    }

    /**
     * 目标切管长
     * @param aimCutLen value
     */
    public void setAimCutLen(String aimCutLen) {
        this.aimCutLen = aimCutLen;
    }

    /**
     * 接箍坯料长度min
     * @return value
     */
    public String getLengthMin() {
        return lengthMin;
    }

    /**
     * 接箍坯料长度min
     * @param lengthMin value
     */
    public void setLengthMin(String lengthMin) {
        this.lengthMin = lengthMin;
    }

    /**
     * 接箍坯料长度max
     * @return value
     */
    public String getLengthMax() {
        return lengthMax;
    }

    /**
     * 接箍坯料长度max
     * @param lengthMax value
     */
    public void setLengthMax(String lengthMax) {
        this.lengthMax = lengthMax;
    }

    /**
     * 接箍坯料锥度
     * @return value
     */
    public String getTaper() {
        return taper;
    }

    /**
     * 接箍坯料锥度
     * @param taper value
     */
    public void setTaper(String taper) {
        this.taper = taper;
    }

    /**
     * 接箍码
     * @return value
     */
    public String getCodeJg() {
        return codeJg;
    }

    /**
     * 接箍码
     * @param codeJg value
     */
    public void setCodeJg(String codeJg) {
        this.codeJg = codeJg;
    }

    /**
     * 钢种代码
     * @return value
     */
    public String getGradecode() {
        return gradecode;
    }

    /**
     * 钢种代码
     * @param gradecode value
     */
    public void setGradecode(String gradecode) {
        this.gradecode = gradecode;
    }

    /**
     * 钢种名称
     * @return value
     */
    public String getGradename() {
        return gradename;
    }

    /**
     * 钢种名称
     * @param gradename value
     */
    public void setGradename(String gradename) {
        this.gradename = gradename;
    }

    /**
     * 钢级(牌号)代码
     * @return value
     */
    public String getSteelcode() {
        return steelcode;
    }

    /**
     * 钢级(牌号)代码
     * @param steelcode value
     */
    public void setSteelcode(String steelcode) {
        this.steelcode = steelcode;
    }

    /**
     * 钢级(牌号)名称
     * @return value
     */
    public String getSteelname() {
        return steelname;
    }

    /**
     * 钢级(牌号)名称
     * @param steelname value
     */
    public void setSteelname(String steelname) {
        this.steelname = steelname;
    }

    /**
     * 扣型代码
     * @return value
     */
    public String getModelCode() {
        return modelCode;
    }

    /**
     * 扣型代码
     * @param modelCode value
     */
    public void setModelCode(String modelCode) {
        this.modelCode = modelCode;
    }

    /**
     * 接箍扣型描述
     * @return value
     */
    public String getModelDesc() {
        return modelDesc;
    }

    /**
     * 接箍扣型描述
     * @param modelDesc value
     */
    public void setModelDesc(String modelDesc) {
        this.modelDesc = modelDesc;
    }

    /**
     * 接箍外径
     * @return value
     */
    public String getOutdiameter() {
        return outdiameter;
    }

    /**
     * 接箍外径
     * @param outdiameter value
     */
    public void setOutdiameter(String outdiameter) {
        this.outdiameter = outdiameter;
    }

    /**
     * 临界壁厚
     * @return value
     */
    public String getWallthick() {
        return wallthick;
    }

    /**
     * 临界壁厚
     * @param wallthick value
     */
    public void setWallthick(String wallthick) {
        this.wallthick = wallthick;
    }

    /**
     * 接箍规格代码
     * @return value
     */
    public String getSpecJg() {
        return specJg;
    }

    /**
     * 接箍规格代码
     * @param specJg value
     */
    public void setSpecJg(String specJg) {
        this.specJg = specJg;
    }

    /**
     * 接箍规格描述
     * @return value
     */
    public String getSpecJgDesc() {
        return specJgDesc;
    }

    /**
     * 接箍规格描述
     * @param specJgDesc value
     */
    public void setSpecJgDesc(String specJgDesc) {
        this.specJgDesc = specJgDesc;
    }

    /**
     * 中孔类别(I、II、III、IV...)
     * @return value
     */
    public String getStyleJg() {
        return styleJg;
    }

    /**
     * 中孔类别(I、II、III、IV...)
     * @param styleJg value
     */
    public void setStyleJg(String styleJg) {
        this.styleJg = styleJg;
    }

    /**
     * 中孔内径
     * @return value
     */
    public String getDiameter() {
        return diameter;
    }

    /**
     * 中孔内径
     * @param diameter value
     */
    public void setDiameter(String diameter) {
        this.diameter = diameter;
    }

    /**
     * 测量J值
     * @return value
     */
    public String getCheckJVal() {
        return checkJVal;
    }

    /**
     * 测量J值
     * @param checkJVal value
     */
    public void setCheckJVal(String checkJVal) {
        this.checkJVal = checkJVal;
    }

    /**
     * 接箍长度
     * @return value
     */
    public String getAimlength() {
        return aimlength;
    }

    /**
     * 接箍长度
     * @param aimlength value
     */
    public void setAimlength(String aimlength) {
        this.aimlength = aimlength;
    }

    /**
     * 单重
     * @return value
     */
    public String getSingleweight() {
        return singleweight;
    }

    /**
     * 单重
     * @param singleweight value
     */
    public void setSingleweight(String singleweight) {
        this.singleweight = singleweight;
    }

    /**
     * 监制要求
     * @return value
     */
    public String getMonitordemand() {
        return monitordemand;
    }

    /**
     * 监制要求
     * @param monitordemand value
     */
    public void setMonitordemand(String monitordemand) {
        this.monitordemand = monitordemand;
    }

    /**
     * 是否接箍监制
     * @return value
     */
    public String getIfMonitorJg() {
        return ifMonitorJg;
    }

    /**
     * 是否接箍监制
     * @param ifMonitorJg value
     */
    public void setIfMonitorJg(String ifMonitorJg) {
        this.ifMonitorJg = ifMonitorJg;
    }

    /**
     * 监制编号
     * @return value
     */
    public String getPrdcrNo() {
        return prdcrNo;
    }

    /**
     * 监制编号
     * @param prdcrNo value
     */
    public void setPrdcrNo(String prdcrNo) {
        this.prdcrNo = prdcrNo;
    }

    /**
     * 监制人
     * @return value
     */
    public String getProducer() {
        return producer;
    }

    /**
     * 监制人
     * @param producer value
     */
    public void setProducer(String producer) {
        this.producer = producer;
    }

    /**
     * 监制到场时间
     * @return value
     */
    public String getProducerTime() {
        return producerTime;
    }

    /**
     * 监制到场时间
     * @param producerTime value
     */
    public void setProducerTime(String producerTime) {
        this.producerTime = producerTime;
    }

    /**
     * 机床编号
     * @return value
     */
    public String getMachNo() {
        return machNo;
    }

    /**
     * 机床编号
     * @param machNo value
     */
    public void setMachNo(String machNo) {
        this.machNo = machNo;
    }

    /**
     * 机床名称
     * @return value
     */
    public String getMachNm() {
        return machNm;
    }

    /**
     * 机床名称
     * @param machNm value
     */
    public void setMachNm(String machNm) {
        this.machNm = machNm;
    }

    /**
     * 作业个数（有效生产数量）
     * @return value
     */
    public String getProNum() {
        return proNum;
    }

    /**
     * 作业个数（有效生产数量）
     * @param proNum value
     */
    public void setProNum(String proNum) {
        this.proNum = proNum;
    }

    /**
     * 作业重量
     * @return value
     */
    public String getProWt() {
        return proWt;
    }

    /**
     * 作业重量
     * @param proWt value
     */
    public void setProWt(String proWt) {
        this.proWt = proWt;
    }

    /**
     * 废品个数
     * @return value
     */
    public String getFailNum() {
        return failNum;
    }

    /**
     * 废品个数
     * @param failNum value
     */
    public void setFailNum(String failNum) {
        this.failNum = failNum;
    }

    /**
     * 废品重量
     * @return value
     */
    public String getFailWt() {
        return failWt;
    }

    /**
     * 废品重量
     * @param failWt value
     */
    public void setFailWt(String failWt) {
        this.failWt = failWt;
    }

    /**
     * 下线个数据
     * @return value
     */
    public String getOfflineNum() {
        return offlineNum;
    }

    /**
     * 下线个数据
     * @param offlineNum value
     */
    public void setOfflineNum(String offlineNum) {
        this.offlineNum = offlineNum;
    }

    /**
     * 下线重量
     * @return value
     */
    public String getOfflineWt() {
        return offlineWt;
    }

    /**
     * 下线重量
     * @param offlineWt value
     */
    public void setOfflineWt(String offlineWt) {
        this.offlineWt = offlineWt;
    }

    /**
     * 工序点状态（1生产中，2生产完成）
     * @return value
     */
    public String getStationStatus() {
        return stationStatus;
    }

    /**
     * 工序点状态（1生产中，2生产完成）
     * @param stationStatus value
     */
    public void setStationStatus(String stationStatus) {
        this.stationStatus = stationStatus;
    }

    /**
     * 作业时间
     * @return value
     */
    public String getRroTime() {
        return rroTime;
    }

    /**
     * 作业时间
     * @param rroTime value
     */
    public void setRroTime(String rroTime) {
        this.rroTime = rroTime;
    }

    /**
     * 作业时长
     * @return value
     */
    public String getRroTimeNu() {
        return rroTimeNu;
    }

    /**
     * 作业时长
     * @param rroTimeNu value
     */
    public void setRroTimeNu(String rroTimeNu) {
        this.rroTimeNu = rroTimeNu;
    }

    /**
     * 作业人
     * @return value
     */
    public String getProUser() {
        return proUser;
    }

    /**
     * 作业人
     * @param proUser value
     */
    public void setProUser(String proUser) {
        this.proUser = proUser;
    }

    /**
     * 作业班次
     * @return value
     */
    public String getProShift() {
        return proShift;
    }

    /**
     * 作业班次
     * @param proShift value
     */
    public void setProShift(String proShift) {
        this.proShift = proShift;
    }

    /**
     * 作业班组
     * @return value
     */
    public String getProGroup() {
        return proGroup;
    }

    /**
     * 作业班组
     * @param proGroup value
     */
    public void setProGroup(String proGroup) {
        this.proGroup = proGroup;
    }

    /**
     * 是否全项委托（0否，1是）
     * @return value
     */
    public String getIfAllOutWork() {
        return ifAllOutWork;
    }

    /**
     * 是否全项委托（0否，1是）
     * @param ifAllOutWork value
     */
    public void setIfAllOutWork(String ifAllOutWork) {
        this.ifAllOutWork = ifAllOutWork;
    }

    /**
     * 操作时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 操作时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 操作工
     * @return value
     */
    public String getColOperator() {
        return colOperator;
    }

    /**
     * 操作工
     * @param colOperator value
     */
    public void setColOperator(String colOperator) {
        this.colOperator = colOperator;
    }

    /**
     * 操作工2
     * @return value
     */
    public String getColOperator2() {
        return colOperator2;
    }

    /**
     * 操作工2
     * @param colOperator2 value
     */
    public void setColOperator2(String colOperator2) {
        this.colOperator2 = colOperator2;
    }

    /**
     * 接箍合同号
     * @return value
     */
    public String getJgOrderno() {
        return jgOrderno;
    }

    /**
     * 接箍合同号
     * @param jgOrderno value
     */
    public void setJgOrderno(String jgOrderno) {
        this.jgOrderno = jgOrderno;
    }

    /**
     * 接箍品种代码
     * @return value
     */
    public String getProduccodeJg() {
        return produccodeJg;
    }

    /**
     * 接箍品种代码
     * @param produccodeJg value
     */
    public void setProduccodeJg(String produccodeJg) {
        this.produccodeJg = produccodeJg;
    }

    /**
     * 接箍品种描述
     * @return value
     */
    public String getProduccodeJgDesc() {
        return produccodeJgDesc;
    }

    /**
     * 接箍品种描述
     * @param produccodeJgDesc value
     */
    public void setProduccodeJgDesc(String produccodeJgDesc) {
        this.produccodeJgDesc = produccodeJgDesc;
    }

    /**
     * 接箍标准代码
     * @return value
     */
    public String getStdCode() {
        return stdCode;
    }

    /**
     * 接箍标准代码
     * @param stdCode value
     */
    public void setStdCode(String stdCode) {
        this.stdCode = stdCode;
    }

    /**
     * 接箍标准名称
     * @return value
     */
    public String getStdName() {
        return stdName;
    }

    /**
     * 接箍标准名称
     * @param stdName value
     */
    public void setStdName(String stdName) {
        this.stdName = stdName;
    }

    /**
     * 接箍标准类别代码
     * @return value
     */
    public String getStdStyle() {
        return stdStyle;
    }

    /**
     * 接箍标准类别代码
     * @param stdStyle value
     */
    public void setStdStyle(String stdStyle) {
        this.stdStyle = stdStyle;
    }

    /**
     * 接箍标准类别描述(I、II、III)
     * @return value
     */
    public String getStdStyleDesc() {
        return stdStyleDesc;
    }

    /**
     * 接箍标准类别描述(I、II、III)
     * @param stdStyleDesc value
     */
    public void setStdStyleDesc(String stdStyleDesc) {
        this.stdStyleDesc = stdStyleDesc;
    }
    
    /**
     * 产出物料编码
     */
    private String outwlId = "";
    /**
     * 产出物料描述
     */
    private String outwlDesc = "";
    

    /**
     * 产出物料编码
     * @return value
     */
    public String getOutwlId() {
        return outwlId;
    }

    /**
     * 产出物料编码
     * @param outwlId value
     */
    public void setOutwlId(String outwlId) {
        this.outwlId = outwlId;
    }

    /**
     * 产出物料描述
     * @return value
     */
    public String getOutwlDesc() {
        return outwlDesc;
    }

    /**
     * 产出物料描述
     * @param outwlDesc value
     */
    public void setOutwlDesc(String outwlDesc) {
        this.outwlDesc = outwlDesc;
    }

}